Intel® X86 Encoder Decoder: xed_print_info_t Struct Reference

Intel® X86 Encoder Decoder

Loading...
Searching...
No Matches
xed_print_info_t Struct Reference
Printing (disassembling) Instructions

This contains the information used by the various disassembly printers. More...

`#include <xed-print-info.h>`

## Data Fields
int | blen
| length of the output buffer. (bytes) Must be > 25 to start.
char * | buf
| pointer to the output buffer
void * | context
| passed to disassembly callback. Can be zero if not used.
xed_disassembly_callback_fn_t | disassembly_callback
| disassembly_callback MUST be set to zero if not used!
xed_bool_t | emitted
| internal, do not use
xed_reg_enum_t | extra_index_operand
| internal, do not use
xed_format_options_t | format_options
int | format_options_valid
| 1=indicated the format_options field is valid, 0=use default formatting options from xed_format_set_options().
xed_bool_t | implicit
| internal, do not use
unsigned int | operand_indx
| internal, do not use
const xed_decoded_inst_t * | p
| the decoded instruction to print
xed_uint64_t | runtime_address
| program counter location.
unsigned int | skip_operand
| internal, do not use
xed_syntax_enum_t | syntax
| default is Intel-syntax (dest on left)
xed_bool_t | truncate_eip_eosz16
| internal, do not use

## Detailed Description

This contains the information used by the various disassembly printers.

Call xed_init_print_info to initialize the fields. Then change the required and optional fields when required.

## Field Documentation

## ◆ blen

int blen

length of the output buffer. (bytes) Must be > 25 to start.

## ◆ buf

char* buf

pointer to the output buffer

## ◆ context

void* context

passed to disassembly callback. Can be zero if not used.

## ◆ disassembly_callback

xed_disassembly_callback_fn_t disassembly_callback

disassembly_callback MUST be set to zero if not used!

If zero, the default disassembly callback is used (if one has been registered).

## ◆ emitted

xed_bool_t emitted

internal, do not use

## ◆ extra_index_operand

xed_reg_enum_t extra_index_operand

internal, do not use

## ◆ format_options

xed_format_options_t format_options

## ◆ format_options_valid

int format_options_valid

1=indicated the format_options field is valid, 0=use default formatting options from xed_format_set_options().

## ◆ implicit

xed_bool_t implicit

internal, do not use

## ◆ operand_indx

unsigned int operand_indx

internal, do not use

## ◆ p

const xed_decoded_inst_t* p

the decoded instruction to print

## ◆ runtime_address

xed_uint64_t runtime_address

program counter location.

Must be zero if not used. (Sometimes instructions are disassembled in a temporary buffer at a different location than where they may or will exist in memory).

## ◆ skip_operand

unsigned int skip_operand

internal, do not use

## ◆ syntax

xed_syntax_enum_t syntax

default is Intel-syntax (dest on left)

## ◆ truncate_eip_eosz16

xed_bool_t truncate_eip_eosz16

internal, do not use

The documentation for this struct was generated from the following file:

- xed-print-info.h